Bug 1535233 - don't restart wpa_supplicant.service when package is upgraded
Summary: don't restart wpa_supplicant.service when package is upgraded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wpa_supplicant
Version: 27
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Davide Caratti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-16 22:01 UTC by Davide Caratti
Modified: 2018-01-23 21:46 UTC (History)
6 users (show)

Fixed In Version: wpa_supplicant-2.6-13.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-23 21:46:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1505404 None None None Never

Internal Links: 1505404

Description Davide Caratti 2018-01-16 22:01:53 UTC
In current wpa_supplicant, the systemd service (wpa_supplicant.service) is
restarted every time the RPM package is updated, because of the following
lines in the specfile:

%postun
%systemd_postun_with_restart wpa_supplicant.service

This generates a temporary disconnection during the package upgrade; such
disconnection is (almost) immediately recovered when the interface is
managed by an external daemon, like NetworkManager or systemd-networkd.
On the other hand, there are situations where the connectivity is not repaired after RPM upgrade until manual intervention. Similar problems have been fixed on other packages by simply removing the 'systemctl try-restart' command from the specfile in the %postun target.

Comment 1 Fedora Update System 2018-01-16 22:58:49 UTC
wpa_supplicant-2.6-13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b724c4abd7

Comment 2 Fedora Update System 2018-01-18 02:10:06 UTC
wpa_supplicant-2.6-13.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b724c4abd7

Comment 3 Fedora Update System 2018-01-23 21:46:52 UTC
wpa_supplicant-2.6-13.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.